Buy bandwidth
curl --request POST \
--url https://proxies.vision/api/dashboard/buy-gb \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gb_amount": 10,
"coupon_code": "PARTNER10"
}
'import requests
url = "https://proxies.vision/api/dashboard/buy-gb"
payload = {
"gb_amount": 10,
"coupon_code": "PARTNER10"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gb_amount: 10, coupon_code: 'PARTNER10'})
};
fetch('https://proxies.vision/api/dashboard/buy-gb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"gb_amount": 10,
"usd_deducted": 10,
"discount_usd": 0,
"usd_balance": 24,
"order_ref": "7KQ2M9XD"
}Billing
Buy bandwidth
Buys GB with your balance at $1 per GB. Added right away, never expires. Counts against the key’s daily limit.
Permission: buy
POST
/
api
/
dashboard
/
buy-gb
Buy bandwidth
curl --request POST \
--url https://proxies.vision/api/dashboard/buy-gb \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gb_amount": 10,
"coupon_code": "PARTNER10"
}
'import requests
url = "https://proxies.vision/api/dashboard/buy-gb"
payload = {
"gb_amount": 10,
"coupon_code": "PARTNER10"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gb_amount: 10, coupon_code: 'PARTNER10'})
};
fetch('https://proxies.vision/api/dashboard/buy-gb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"gb_amount": 10,
"usd_deducted": 10,
"discount_usd": 0,
"usd_balance": 24,
"order_ref": "7KQ2M9XD"
}Body
application/json
Response
200 - application/json
OK

